com.sun.jdi

## Interface IntegerValue

- All Superinterfaces:
    Comparable<IntegerValue>, Mirror, PrimitiveValue, Value

      @Exported
      public interface IntegerValue
      extends PrimitiveValue, Comparable<IntegerValue>

  Provides access to a primitive `int` value in the target VM.
  Since:
    1.3

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals(Object obj)` | Compares the specified Object with this IntegerValue for equality.
    `int` | `hashCode()` | Returns the hash code value for this IntegerValue.
    `int` | `value()` | Returns this IntegerValue as an int.

    - ### Methods inherited from interface com.sun.jdi.PrimitiveValue

      `booleanValue, byteValue, charValue, doubleValue, floatValue, intValue, longValue, shortValue`

    - ### Methods inherited from interface com.sun.jdi.Value

      `type`

    - ### Methods inherited from interface com.sun.jdi.Mirror

      `toString, virtualMachine`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### value

          int value()

      Returns this IntegerValue as an int.
      Returns:
        the `int` mirrored by this object.

    - #### equals

          boolean equals(Object obj)

      Compares the specified Object with this IntegerValue for equality.
      Overrides:
        `equals` in class `Object`
      Parameters:
        `obj` - the reference object with which to compare.
      Returns:
        true if the Object is an IntegerValue and if applying "==" to the two mirrored primitives would evaluate to true; false otherwise.
      See Also:
        `Object.hashCode()`, `HashMap`

    - #### hashCode

          int hashCode()

      Returns the hash code value for this IntegerValue.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        the integer hash code
      See Also:
        `Object.equals(java.lang.Object)`, `System.identityHashCode(java.lang.Object)`

Copyright © 1999, 2026, Oracle and/or its affiliates. All rights reserved.